Skip to content

DNS Load Balancer Pool Member Health Status Change Events.

GET
/api/data/namespaces/{namespace}/dns_load_balancers/{dns_lb_name}/dns_lb_pools/{dns_lb_pool_name}/pool_members/{pool_member_address}/health_status_change_events
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/dns_load_balancers/example/dns_lb_pools/example/pool_members/example/health_status_change_events \
--header 'Authorization: <Authorization>'

GET DNS Load Balancer Pool Health Status Changes.

Examples of this operation.

namespace
required
string

Namespace x-required Namespace in which the DNS Load Balancer Pool is present.

dns_lb_name
required
string

DNS Load Balancer Name x-required Name of the DNS Load Balancer.

dns_lb_pool_name
required
string

DNS Load Balancer Pool Name x-required Name of the DNS Load Balancer Pool.

pool_member_address
required
string

DNS Load Balancer Pool Member Address x-required IP Address of the DNS Load Balancer Pool Member.

A successful response.

Media typeapplication/json
DNSLBPoolMemberHealthStatusResponse

Response for DNS Load Balancer Pool Member Health Status Events Request.

object
dns_lb_pool_member_events
DNS Load Balancer Pool Members

Collection of DNS Load Balancer Pool Members.

Array<object>
DNSLBPoolMemberHealthStatusEvent

Pool member health status change event data.

object
error_code
string
default: ERR_NIL
Allowed values: ERR_NIL ERR_UNDEFINED ERR_RECEIVE_STRING_MISMATCH ERR_INTERNAL ERR_MSG_SEND ERR_TIMEOUT ERR_MSG_RECEIVE ERR_MAX_RECEIVE_BYTES ERR_ICMP_PING ERR_CONNECTION_REFUSED ERR_CONNECTION_ABORTED ERR_CONNECTION_RESET ERR_NET_UN_REACHABLE ERR_HOST_UN_REACHABLE ERR_UNKNOWN ERR_TLS_HANDSHAKE_FAILURE ERR_CONNECTION_TIMEDOUT
error_description
Error Description

Error Description of DNS Load Balancer Pool Member health check failure.

string
<= 1024 characters
pool_member_address
Pool Member Address

Address of pool member.

string
<= 1024 characters
status
Status

Health status of pool member.

Array<object>
>= 17 characters <= 17 characters
Metric Value

Metric data contains timestamp and the value.

object
timestamp
Timestamp

Timestamp

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
Example
{
"dns_lb_pool_member_events": [
{
"error_code": "ERR_NIL",
"status": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
]
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example